=== debian/changelog ===
kvantum (0.10.5.git20170927-1mx15+1) mx; urgency=medium

  * New upstream release:
   - Don't draw the groove of a transient scrollbar.
   - Reduced the selection tint to 20%.
   - No repeating pattern for menu separators.
   - Removed "Attached active tab..." from Kvantum Manager because it may
     spoil the theme.
   - Added keys for scrollbar extent and toolbar grouping to Kvantum Manager.
   - Ensure total transparency for the last frame of the transient scrollbar
     animation.
   - Don't let transient scrollbars overlap the frames of their views.
   - Localization.
   - Changed the keys "size.minwidth" and "size.minheight" to "min_width" and
     "min_height" respectively and added support for setting their values in
     terms of app font height and also as increments.
   - Ability to set frame expansion in terms of app font height (for total
     roundness to be independent of font size).
   - Ability to set active_tab_overlap in terms of app font height.
   - Suppressed GCC7 compilation warnings about "-Wimplicit-fallthrough=". (Red
     Hat again! Do they think people are stupid?)
   - Added optional toggle and press text colors for menu(-bar) items. The
     fallback is focus color.
   - Added a key for a 25% translucent background for transient scrollbars when
     needed.
   - Compensated for menu shadows when positioning menus (thanks
     to Craig Drummond).
   - Give viewitem top and bottom margins (frame width + text margin) to combo
     popup items and make their background transparent.
   - Made the combo menu (popup as menu) exactly like a menu.
   - A key for removing checkboxes from combo menus.
   - Set the QObject property "menu_shadow", which is a QList<int> containing
     left, top, right and bottom menu shadow thicknesses in that order.
   - If needed, set the window text color of menus to the normal menuitem text
     color because some apps may do weird things with menus.
   - Added a key (to Kvantum manager) to reduce window translucency or set it in
     themes that don't have a translucent SVG backround for windows.
   - Added a key for "embedded" tabs, which are half embedded in their widgets.
   - Separated the Qt4 code from the Qt5 one.
   - Defined a few standard Qt icons.
   - Fixed the size of tool buttons with just an arrow.
   - A key for transparent arrow (tool) buttons.
   - If the widget has no interior, check whether it has a high contrast with
     its container.
   - Group tabbar scroll buttons together and remove their states.
   - Optionally separate titlebar buttons for dock widgets.
   - Make titlebars match the theme according to its lightness or darkness under
     GTK DEs like Gnome (by Craig Drummond). Now, the suffix "Dark" can have a
     practical meaning in the theme name.
   - Accept dark themes inside light theme directories.
   - Editable theme combobox in Kvantum Manager for finding installed themes by
     typing.
   - Put the progress text in front of the bar when "progressbar_thickness" is
     less than the text (font) height.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Sep 2017 17:07:11 -0700

kvantum (0.10.4.git20170721-1mx17) mx; urgency=medium

  * New pull from git.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Sep 2017 18:32:33 -0700

kvantum (0.10.4+git20170621-1mx15+2) mx; urgency=medium

  * Revamp rules file to really get the switching working for older Qt.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Jul 2017 21:07:04 -0700

kvantum (0.10.4+git20170621-1mx15+1) mx; urgency=medium

  * Rebuild for the MX repo.
  * Add automatic switching for Qt 4 or 5 binary builds and installs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Jul 2017 12:02:36 -0700

kde-style-kvantum (0.10.4-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - "Transient scrollbars" are fully supported (see Kvantum Manager/Configure
      Active Theme/Compositing & General Look). They usually take no extra
      space, appear on top of their scroll views when needed, and fade out
      when not needed.
    - Translucency problems are fixed -- especially those found in Qt ≥ 5.7.
    - Focus rectangle is added to all themes.
    - A key is added to Kvantum Manager for removing window/dialog tiling
      patterns in themes that have them (see KvCurves3d);
    - Preliminary Wayland support is added.
    - Many fixes, modifications and workarounds are made.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Apr 2017 14:52:05 -0700

kde-style-kvantum (0.10.3-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Choose the correct arrow for toolbar and menubar extension buttons.
      Unfortunately, the arrows can have no state other than normal and
      disabled (a Qt bug).
    - No state other than normal is needed for toolbutton flat arrows.
    - Added yet another toolbutton size workaround when the button text is
      too long.
    - Added the hacking key "no_selection_tint" to Kvantum Manager.
    - Support shadow for groupbox label.
    - Added support for blurring any hard-coded translucency (and not just
      Konsole) with kwin.
    - Added support for app specific themes (to Kvantum Manager).
    - Added a dark variant of KvArc (KvArcDark).
    - Added a key for overlapping the active tab.
    - Added a key to disable frame expansion for inactive tabs.
    - Added a key for scrollable menus (to Kvantum Manager).
    - Draw all toolbuttons auto-raised inside toolbars.
    - Add hover effect only selectively.
    - Added CMake support (while qmake is kept).
    - Added two keys for toolbar spacing.
    - Added a key for submenu delay (to Kvantum Manager). It can be used to
      show submenus only by clicking.
  * debian/rules: force use of the qmake build.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jan 2017 08:54:36 -0800

kde-style-kvantum (0.10.2-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:

