## kvantum 0.10.6

=== debian/changelog ===
kvantum (0.10.6-1~mx17+1) mx; urgency=medium

  * New upstream release:
    - The texts of thin progress-bars are put above them as far as possible.
      When there isn't enough space above a thin progress-bar, its the text is
      put in front of it only as a workaround.
    - Now, graying out of disabled icons is completely done by Kvantum -- as a
      workaround for problems some icon engines (like KDE's) have with
      light-and-dark themes.
    - A workaround is added for a Qt bug in the "clear" button of line-edits.
    - A hacking key is added for the scroll jump with middle clicking.
    - Global config files $XDG_CONFIG_DIRS/Kvantum/kvantum.kvconfig are
      supported (for distros).
    - An old miscalculation is fixed in drawing tab labels.
    - A key is added for or an extra margin between tab frame and tab button.
    - A key is added for square arrow buttons in editable combo boxes.
    - A key is added for bold active tab text.
    - A key is added for the degree of text boldness.
    - An optional "tickless" slider handle is added.
    - Checkboxes can look different in view-items.
    - Optional focus elements that replace the (dotted) focus rectangle.
    - State change animations are enhanced.
    - The color contrast calculation is standardized according to WCAG.
    - Several themes are polished, modified or updated.
    - Two themes are added to the collection.
    - RTL header drawing is updated because of two issues in Qt5 (one of them
      is old).
    - Several small fixes and additions here and there.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Apr 2018 16:26:29 -0700

kvantum (0.10.5.git20170927-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Disable the Qt 4-specific patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Sep 2017 17:48:15 -0700
