=== debian/changelog ===
kvantum (0.10.8-1~mx17+1) mx; urgency=medium

  * New upstream release:
    0.10.8:
    - Try to support translucent base colors, knowing that it isn't possible in 
      all cases.
    - Changed old-style casts to C++ ones.
    - When searching for a stylable toolbar container, search only in the direct
      children of the widget's window (for optimization).
    - Find exact heights of multi-line texts for all kinds of fonts by finding
      their bounding rectangles and without resorting to any "magic constant".
    - Added the key "spread_header" for making simple headers. Also, RTL headers
      are fixed.
    - Added "inactive.alt.base.color" because alternate rows are drawn by
      Kvantum now.
    - Corrected RTL for QToolBox (a bug in QCommonStyle).
    - Consider inactiveness in setting scrollbar background.
    - If a combo isn't styled by Kvantum anymore, don't restore its item
      delegate (otherwise, a rare crash might happen).
    - Fixed the header icon position with RTL layouts.
    - Merge the background of a header with that of its parent view, if any.
    - Fill the menu interior with the window background color if there isn't an
      interior SVG element.
    - Gave meaning to min_height/min_width under Window and Dialog sections by
      making them the minimum height/width of the background (interior) SVG
      element (useful with gradients).
    V0.10.7
    - Removed the workaround for Gwenview's scrollbar issue because it was
      potentially dangerous (actually, just in one case). Anyhow, Gwenview's
      bug was fixed a long time ago.
    - Cover a very rare case, where the special text of a spinbox is set when its
      value is minimum (which means a bad code).
    - Center menubar-item texts horizontally (they were left-aligned before).
    - Added a workaround for an old Qt bug which, sometimes, prevents updating
      of inactive widgets when the active and inactive highlight colors are the
      same.
    - Handle multi-line combo-box menu-items by drawing them on a single line.
    - Optional sections for line-edits and combo-boxes inside toolbars.
    - Don't enforce vertically centered labels for comboboxes and line-edits.
    - Consider the top and bottom label spacings when drawing some indicators.
    - Smoother movement of dial handle.
    - Added the optional section ScrollbarTransientSlider.
    - Compensate for a change in the vertical positioning of submenus
      with Qt 5.11.
    - Added a key for menu separator height.
    - Added a key (to Kvantum manager) for ignoring the inactive state.
    - For an exact vertical centering, give an even height to the bounding
      rectangle of the text and the icon beside it.
    - Consider special fonts for menu-items (some apps may use them to show
      different things).
    - Added a key (to Kvantum Manager) for removing (text) color translucency.
    - Vertically center textless slim (horizontal) progressbars.
    - Split "Kvantum.cpp" logically.
    - Added a key (to Kvantum manager) for reducing menu opacity.
    - Added command-line options to kvantummanager.
    - Enable window translucency under Wayland because Qt >= 5.11 supports it.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Sep 2018 15:39:04 -0700
