=== debian/control ===
Source: kvantum
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pedram Pourang <tsujan2000@gmail.com>
Build-Depends: debhelper (>= 9),
 libqt4-dev,
 lsb-release,
 qtbase5-dev (>= 5.4) | lsb-release (<< 9),
 libqt5svg5-dev (>= 5.4) | lsb-release (<< 9),
 libqt5x11extras5-dev (>= 5.4) | lsb-release (<< 9),
 libx11-dev,
 libxext-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tsujan/Kvantum

Package: kde-style-kvantum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SVG-based theme engine for Qt4/Qt5, KDE and LXQt
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt. It has
 a default dark theme and several extra ones but goes far beyond them:
 you could make themes with very different looks and feels for it and
 Kvantum will let you control almost every aspect of Qt widgets.
 .
 If your distro does not have Qt5 (>= 5.4), then only the Qt4 modules will
 be built and installed, since an older Qt5 will not support the themes.
