=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	cp style/*.so temp
 # build and use Qt 5 binaries and the Qt4 plugin on listed distreleases,
 # otherwise use Qt 4 only
-ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid xenial yakkety zesty artful))
+ifeq ($(distrelease),$(filter $(distrelease),stretch buster sid Horizon xenial yakkety zesty artful))
 	make distclean
 # a clunky way to use an unpatched kvantum.pro file for the Qt5 build,
 # maybe using cmake would be more elegant?
@@ -38,10 +38,5 @@
 	install -m 644 temp/*.so debian/kde-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
 	dh_auto_install
 
-# needed for precise, trusty, and wheezy builds to compress with xz. It's OK
-# to leave in for newer releases.
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 %:
 	dh $@ --parallel
