## kvantum 1.1.4

=== debian/changelog ===
kvantum (1.1.4-2) unstable; urgency=medium

  * debian/control: build-deps on libqt5x11extras5-dev.
  * debian/control: build-deps on libqt5svg5-dev.
  * debian/rules: also builds qt5 style plugins to provide same
    functionality from bookwrom. (Closes: #1104183, #1102936)
  * debian/qt6-style-kvantum.install: update. Should drop the versioned qt
    in next release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 01 May 2025 12:27:37 +0200

kvantum (1.1.4-1) unstable; urgency=medium

  [ James Lu ]
  * Add qt6-style-kvantum binary package
  * Update long descriptions to refer to Qt5/Qt6 instead of Qt4
  * Release to unstable

  [ Andrew Lee (李健秋) ]
  * Rename source package to match name in upstream.
  * debian/control: update Vcs-Browser tag.
  * debian/control: update Vcs-Git tag.
  * debian/control: rename source package name to match with upstream.
  * Clean up of group membership after 2nd calls.
  * Run wrap-and-sort.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: update.
  * New upstream version 1.1.4.
  * debian/control: build-deps on libkf6windowsystem-dev.
  * debian/control: build-deps on libqt6svg6-dev.
  * debian/control: drop libqt5svg5-dev from build-deps.
  * debian/control: build-deps on qt6-tools-dev.
  * debian/control: drop qt6-style-kvantum binary package.
  * debian/control: rename all the binary packages from qt5 to qt6.
  * Rename d/qt5-style-kvantum.install to d/qt6-style-kvantum.install.
  * Rename d/qt5-style-kvantum-l10n.install to d/qt5-style-
    kvantum-l10n.install.
  * Rename d/qt5-style-kvantum-themes.install to d/qt6-style-kvantum-
    themes.install.
  * Rename d/qt5-style-kvantum.install to d/qt6-style-kvantum.install.
  * debian/lintian-overrides: update.
  * debian/rules: clean up.
  * debian/control: build-deps on libx11-dev.
  * debian/control: build-deps on libxext-dev.
  * debian/control: conflicts and replace old qt5 packages.
  * debian/control: depends on qt6-translations-l10n instead of
    qttranslations5-l10n.
  * debian/control: use QT instead of QT5/QT6 in descriptions.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 09 Mar 2025 19:39:53 +0100

qt5-style-kvantum (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/README.Debian: took how to use from INSTALL.md file.
    (Closes: #1004824)
  * debian/control: update team address.
  * debian/copyright: update.
  * Drop obsoleted debian/repack.sh.
  * debian/qt5-style-kvantum-themes.install: upstream dropped Openbox
    themes (Openbox's development stopped years ago).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/control: cleanup build-deps.
  * debian/salsa-ci.yml: enable salsa-ci.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 13 Aug 2023 11:35:53 +0200

qt5-style-kvantum (1.0.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Update d/watch for GitHub.
  * Update d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:47:32 +0800

qt5-style-kvantum (1.0.3-1) unstable; urgency=medium

  * Fix debian/watch and we do not do repack anymore.
  * Added debian/upstream/signing-key.asc.
  * New upstream version 1.0.3
  * Added myself as Uploaders.
  * debian/copyright: drop repack comment as we don't need to do repack
    anymore.
  * Update debian/copyright.
  * debian/rules: specify source directory for dh.
  * debian/docs: correct path as now we use original upstream tarball
    instead of repack one.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 23 Jul 2022 22:53:43 +0800

qt5-style-kvantum (1.0.0+repack-1) unstable; urgency=medium

  * New upstream version 1.0.0+repack
  * debian/copyright: Update copyright date
  * debian/control: Bump Standards-Version to 4.6.0

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 05 Feb 2022 13:26:45 -0500

qt5-style-kvantum (0.18.0+repack-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0+repack
  * debian/copyright: Update copyright date
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1
  * debian/qt5-style-kvantum-themes.install: Remove kde4 app colorscheme

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 22:46:45 +0800

qt5-style-kvantum (0.14.1+repack-1) unstable; urgency=medium

  * New upstream version 0.14.1+repack

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:12:47 +0100

qt5-style-kvantum (0.14.0+repack-1) unstable; urgency=medium

  * New upstream version 0.14.0+repack

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:56:19 +0100

qt5-style-kvantum (0.12.1+repack-1) unstable; urgency=medium

  * New upstream version 0.12.1.
  * Switched to gbp
  * Bumped standards to 4.4.1, no changes needed.
  * Added .gitignore

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:55:13 +0100

qt5-style-kvantum (0.11.2+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.11.2.
  * Really bumped standards to 4.4.0, no changes needed.

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Aug 2019 19:40:57 +0200

qt5-style-kvantum (0.11.1+repack-2) unstable; urgency=medium

  * Switched to unstable - freeze is over.
  * Bumped standards to 4.4.0, no changes needed.
  * Added a .gitignore file

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 23:10:06 +0200

qt5-style-kvantum (0.11.1+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:35:58 +0200

qt5-style-kvantum (0.11.0+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.0.
  * Marked qt5-style-kvantum-themes Multi-Arch: foreign

