=== debian/control ===
Source: kvantum
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/kvantum.git
Rules-Requires-Root: no

Package: qt6-style-kvantum
Architecture: any
Depends: qt6-style-kvantum-themes | qt6-style-kvantum-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qt6-style-kvantum-l10n
Conflicts: qt5-style-kvantum (<= 1.0.10-1)
Replaces: qt5-style-kvantum (<= 1.0.10-1)
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt6-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Conflicts: qt5-style-kvantum-l10n (<= 1.0.10-1)
Replaces: qt5-style-kvantum-l10n (<= 1.0.10-1)
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt6-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Conflicts: qt5-style-kvantum-themes (<= 1.0.10-1)
Replaces: qt5-style-kvantum-themes (<= 1.0.10-1)
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.
