=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --sourcedirectory=Kvantum --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo
	dh_auto_configure --builddirectory=qt5build -- \
		-DENABLE_QT5=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_after_dh_auto_build:
	dh_auto_build --builddirectory=qt5build

execute_after_dh_auto_install:
	dh_auto_install --builddirectory=qt5build -Pdebian/qt6-style-kvantum \
		-p qt6-style-kvantum

execute_before_dh_auto_clean:
	rm -rf ./qt5build
