=== debian/changelog ===
kvantum (1.1.5-1) unstable; urgency=medium

  [ Joel Orón Valiente ]
  * New upstream version 1.1.5
  * debian/copyright: Add myself.
  * debian/control: Add myself as uploader.
  * debian/control: Fix lintian warning: duplicate-short-description
    & duplicate-long-description qt5-style-kvantum qt6-style-kvantum.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 17:08:12 +0800

kvantum (1.1.4-3) unstable; urgency=medium

  * Source only upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 05 May 2025 23:58:06 +0200

kvantum (1.1.4-3~) experimental; urgency=medium

  * debian/control: rename binary packages from versioned qt6 to
    unversioned qt.
  * debian/control: add transitional packages for users to upgrade from
    previous versioned qt5 and qt6 binary packages.
  * debian/control: bump to Standards-version to 4.7.2, no changes needed.
  * debian/control: adjust depends.
  * debian/control: adjust recommends.
  * debian/control: add breaks to previous versions.
  * debian/control: drop conflicts.
  * debian/control: adjust replaces.
  * debian/control: drop provides.
  * debian/lintian-overrides: update.
  * Run wrap-and-sort.
  * debian/rules: install qt5 plugin in correct package.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 03 May 2025 15:50:08 +0200
