=== debian/control ===
Source: kvantum
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Joel Orón Valiente <moded3v@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf6windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/kvantum.git
Rules-Requires-Root: no

Package: qt-style-kvantum
Architecture: any
Depends: qt-style-kvantum-themes, ${misc:Depends}, ${shlibs:Depends}
Recommends: qt-style-kvantum-l10n
Breaks: qt5-style-kvantum (<= 1.0.10-1), qt6-style-kvantum (<= 1.1.4-2)
Replaces: qt5-style-kvantum (<= 1.0.10-1), qt6-style-kvantum (<= 1.1.4-2)
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Breaks: qt5-style-kvantum-l10n (<= 1.0.10-1),
        qt6-style-kvantum-l10n (<= 1.1.4-2)
Replaces: qt5-style-kvantum-l10n (<= 1.0.10-1),
          qt6-style-kvantum-l10n (<= 1.1.4-2)
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt5-style-kvantum-themes (<= 1.0.10-1),
        qt6-style-kvantum-themes (<= 1.1.4-2)
Replaces: qt5-style-kvantum-themes (<= 1.0.10-1),
          qt6-style-kvantum-themes (<= 1.1.4-2)
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

Package: qt5-style-kvantum
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, qt-style-kvantum
Description: Kvantum qt5 style engine (transitional package)
 This is a dummy qt5-style transitional package to transition to
 qt-style-kvantum. It can be safely removed.

Package: qt6-style-kvantum
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, qt-style-kvantum
Description: Kvantum qt6 style engine (transitional package)
 This is a dummy qt6-style transitional package to transition to
 qt-style-kvantum. It can be safely removed.
