=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	dh_auto_build --builddirectory=qt5build
 
 execute_after_dh_auto_install:
-	dh_auto_install --builddirectory=qt5build -Pdebian/qt6-style-kvantum \
-		-p qt6-style-kvantum
+	dh_auto_install --builddirectory=qt5build -Pdebian/qt-style-kvantum \
+		-p qt-style-kvantum
 
 execute_before_dh_auto_clean:
 	rm -rf ./qt5build
